from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError
from psycopg2 import sql, DatabaseError

from werkzeug import utils


class KalachakraProductTemplate(models.Model):
    _inherit = "product.template"
   
    membership_product = fields.Boolean(string="membership product", tracking=True)
    super_membership_product = fields.Boolean(string="super membership product", tracking=True)
    booking_product = fields.Boolean(string="booking product", tracking=True)
    booking_option_product = fields.Boolean(string="booking option product", tracking=True)
    price_per=fields.Selection(string="Price per",selection=[('stay','Stay'),('night', 'Night'), ('day', 'Day')], default='stay', tracking=True)
    individual_room=fields.Boolean(string="individual room", tracking=True)
    on_website=fields.Boolean(string="On website", tracking=True)
    cdr_property_account_income_id=fields.Many2one('account.account',string='Compte de revenus Centre de retraite')